Bug 1128492 - [abrt] gvfs: magazine_chain_pop_head(): gvfsd-trash killed by SIGSEGV
Summary: [abrt] gvfs: magazine_chain_pop_head(): gvfsd-trash killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:42454e658ba1d14ae6bb6304f3a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 20:30 UTC by bugzilla
Modified: 2015-06-29 22:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:00:53 UTC


Attachments (Terms of Use)
File: backtrace (19.92 KB, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: core_backtrace (6.94 KB, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: dso_list (3.25 KB, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: environ (832 bytes, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: exploitable (110 bytes, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: maps (15.45 KB, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: open_fds (3.18 KB, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details
File: var_log_messages (386 bytes, text/plain)
2014-08-10 20:30 UTC, bugzilla
no flags Details

Description bugzilla 2014-08-10 20:30:39 UTC
Version-Release number of selected component:
gvfs-1.18.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-trash --spawner :1.5 /org/gtk/gvfs/exec_spaw/0
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/gvfsd-trash
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 magazine_chain_prepare_fields at gslice.c:625
 #2 magazine_cache_push_magazine at gslice.c:697
 #3 thread_memory_magazine2_unload at gslice.c:815
 #4 g_slice_free1 at gslice.c:1106
 #5 file_change_free at gfilemonitor.c:368
 #6 emit_cb at gfilemonitor.c:394
 #11 daemon_main at daemon-main.c:405

Comment 1 bugzilla 2014-08-10 20:30:42 UTC
Created attachment 925581 [details]
File: backtrace

Comment 2 bugzilla 2014-08-10 20:30:44 UTC
Created attachment 925582 [details]
File: cgroup

Comment 3 bugzilla 2014-08-10 20:30:45 UTC
Created attachment 925583 [details]
File: core_backtrace

Comment 4 bugzilla 2014-08-10 20:30:46 UTC
Created attachment 925584 [details]
File: dso_list

Comment 5 bugzilla 2014-08-10 20:30:47 UTC
Created attachment 925585 [details]
File: environ

Comment 6 bugzilla 2014-08-10 20:30:48 UTC
Created attachment 925586 [details]
File: exploitable

Comment 7 bugzilla 2014-08-10 20:30:49 UTC
Created attachment 925587 [details]
File: limits

Comment 8 bugzilla 2014-08-10 20:30:51 UTC
Created attachment 925588 [details]
File: maps

Comment 9 bugzilla 2014-08-10 20:30:52 UTC
Created attachment 925589 [details]
File: open_fds

Comment 10 bugzilla 2014-08-10 20:30:53 UTC
Created attachment 925590 [details]
File: proc_pid_status

Comment 11 bugzilla 2014-08-10 20:30:54 UTC
Created attachment 925591 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:36:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:00:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.